package com.qmth.eds.service;

import com.qmth.eds.entity.ExamScheduleTask;
import com.qmth.eds.entity.TBSyncTask;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 异步同步云阅卷
 */
@Service
public class AsyncTaskService {

    @Resource
    private DataSyncService dataSyncService;

    @Resource
    private TBSyncTaskService tbSyncTaskService;

    /**
     * 同步试卷结构、分组信息、评卷员绑定关系
     */
    public void syncExamData(ExamScheduleTask examScheduleTask,boolean isAuto) {
        // 记录日志
        TBSyncTask tbSyncTask = tbSyncTaskService.saveTask(examScheduleTask);
        dataSyncService.syncWuhanUniversityExamData(examScheduleTask, tbSyncTask, isAuto);
    }
}
