package com.qmth.eds.service;

import com.qmth.eds.entity.ExamScheduleTask;
import com.qmth.eds.entity.TBSyncTask;

/**
 * 同步数据到云阅卷 服务类
 */
public interface DataSyncService {

    /**
     * 武汉大学考务数据同步
     *  @param examScheduleTask examScheduleTask
     * @param tbSyncTask       tbSyncTask
     * @param isAuto 是否定时任务
     */
    void syncWuhanUniversityExamData(ExamScheduleTask examScheduleTask, TBSyncTask tbSyncTask, boolean isAuto);
}
